Skip to main content

Use of /127 Prefix Length Between Routers Considered Harmful
RFC 3627

Revision differences

Document history

Date Rev. By Action
2020-01-21
04 (System) Received changes through RFC Editor sync (added Verified Errata tag)
2003-09-18
04 Natalia Syracuse State Changes to RFC Published from RFC Ed Queue by Natalia Syracuse
2003-09-18
04 Natalia Syracuse published as RFC3627
2003-09-17
04 (System) RFC published
2003-07-23
04 Natalia Syracuse State Changes to RFC Ed Queue from Approved-announcement sent by Syracuse, Natalia
2003-07-15
04 Michael Lee IESG state changed to Approved-announcement sent
2003-07-15
04 Michael Lee IESG has approved the document
2003-07-15
04 (System) Last call text was added
2003-07-15
04 (System) Ballot approval text was added
2003-07-10
04 Amy Vezza State Changes to Approved-announcement to be sent from IESG Evaluation by Vezza, Amy
2003-07-09
04 Randy Bush repushed agenda button. 
2003-06-23
04 Randy Bush
From: Randy Bush
Date: Sun, 22 Jun 2003 21:08:33 -0700
To: Bob Hinden ,
    Margaret Wasserman
Cc: Thomas Narten ,
    Erik …
From: Randy Bush
Date: Sun, 22 Jun 2003 21:08:33 -0700
To: Bob Hinden ,
    Margaret Wasserman
Cc: Thomas Narten ,
    Erik Nordmark 
Subject: draft-savola-ipv6-127-prefixlen-04.txt

draft-savola-ipv6-127-prefixlen-04.txt has been in the ipv6wg
since june of 2002.  i would like to put it on the iesg's
agenda for 2003.07.10.  i will presume that ipv6wg does not
object to its publication unless i hear specifically otherwise.

randy
2003-06-23
04 Randy Bush Status date has been changed to 2003-07-10 from 2002-06-05
2003-06-23
04 Randy Bush State Changes to IESG Evaluation from IESG Evaluation  :: External Party by Bush, Randy
2003-06-12
04 Randy Bush
From: Randy Bush
Date: Thu, 12 Jun 2003 10:09:53 +0900
To: Margaret Wasserman
Cc: Bob Hinden
Subject: Re: draft-savola-ipv6-127-prefixlen-04.txt

i am not asking for wg …
From: Randy Bush
Date: Thu, 12 Jun 2003 10:09:53 +0900
To: Margaret Wasserman
Cc: Bob Hinden
Subject: Re: draft-savola-ipv6-127-prefixlen-04.txt

i am not asking for wg endorsement of the documents from either
ipv6 or v6ops.  i am asking if ipv6 objects to its publication.

randy
2003-06-12
04 Randy Bush
Date: Wed, 11 Jun 2003 11:15:21 -0400
To: Randy Bush
From: Margaret Wasserman
Subject: Re: draft-savola-ipv6-127-prefixlen-04.txt
Cc: Bob Hinden


Hi Randy,

I'm not sure what …
Date: Wed, 11 Jun 2003 11:15:21 -0400
To: Randy Bush
From: Margaret Wasserman
Subject: Re: draft-savola-ipv6-127-prefixlen-04.txt
Cc: Bob Hinden


Hi Randy,

I'm not sure what you are expecting from us to "close this".
As far as I know, no WG is required to give its approval
for the publication of an individual submission.

This document spells out some pitfalls to be avoided if you
choose to address IPv6 nodes in way that is inconsistent
with the IPv6 addressing architecture.

I haven't read the document in a long time, but I don't
remember that there was anything technically inaccurate
about it.

The main concern that I have with this document is that it
might encourage people to ignore the properties of IPv6
addresses that are defined in the IPv6 addressing architecture.
Use of this practice may also be incompatible with any IPv6
implementations that enforce the restriction in the addressing
architecture that all IIDs must be 64 bits long.

It is my understanding that this would be an informational
document that is intended to document current operational
practice.  As such, I don't think that it could be
considered an end-run around IPv6, as its content is much
more pertinent to v6ops.

But, I don't think that you'll get the v6ops WG to support
a document that encourages ignoring the IPv6 addressing
architecture, either...

If there is some other information that you need from us,
please let me know what it is.

Margaret
2002-06-28
04 (System) New version available: draft-savola-ipv6-127-prefixlen-04.txt
2002-06-05
04 Randy Bush responsible has been changed to Narten from Randy
2002-06-05
04 Randy Bush
State Changes to Token@wg or Author                                from Expert Review    …
State Changes to Token@wg or Author                                from Expert Review                                    by randy
2002-06-05
04 Stephen Coya responsible has been changed to Randy from IESG as a whole
2002-06-05
04 Stephen Coya
State Changes to Expert Review                                    from Reading List  …
State Changes to Expert Review                                    from Reading List                                      by scoya
2002-06-05
04 Stephen Coya
State Changes to Reading List                                      from AD …
State Changes to Reading List                                      from AD to write --Don't publish                      by scoya
2002-06-05
04 (System) State Changes to AD to write --Don't publish from Reading List by IETF Secretariat
2002-05-30
04 Randy Bush responsible has been changed to IESG as a whole from IESG Secretary
2002-05-30
04 Allison Mankin Intended Status has been changed to Informational from None
2002-05-22
04 Randy Bush ietf-action #641 request to put on reading list
2002-05-22
04 Randy Bush A new comment added
by randy
2002-05-22
04 Randy Bush revised after review by erik and randy. put on reading list, please
2002-05-22
04 Randy Bush Draft Added by randy
2002-05-20
03 (System) New version available: draft-savola-ipv6-127-prefixlen-03.txt
2002-04-30
02 (System) New version available: draft-savola-ipv6-127-prefixlen-02.txt
2002-02-20
01 (System) New version available: draft-savola-ipv6-127-prefixlen-01.txt
2002-02-04
00 (System) New version available: draft-savola-ipv6-127-prefixlen-00.txt